
package net.mcreator.totallynormalmod.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.layers.RenderLayer;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.LivingEntityRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.renderer.MultiBufferSource;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.SpiderModel;

import net.mcreator.totallynormalmod.entity.Mack1Entity;

import com.mojang.blaze3d.vertex.VertexConsumer;
import com.mojang.blaze3d.vertex.PoseStack;

public class Mack1Renderer extends MobRenderer<Mack1Entity, SpiderModel<Mack1Entity>> {
	public Mack1Renderer(EntityRendererProvider.Context context) {
		super(context, new SpiderModel<Mack1Entity>(context.bakeLayer(ModelLayers.SPIDER)), 0.5f);
		this.addLayer(new RenderLayer<Mack1Entity, SpiderModel<Mack1Entity>>(this) {
			final ResourceLocation LAYER_TEXTURE = new ResourceLocation("totally_normal_mod:textures/entities/mack.png");

			@Override
			public void render(PoseStack poseStack, MultiBufferSource bufferSource, int light, Mack1Entity entity, float limbSwing, float limbSwingAmount, float partialTicks, float ageInTicks, float netHeadYaw, float headPitch) {
				VertexConsumer vertexConsumer = bufferSource.getBuffer(RenderType.entityCutoutNoCull(LAYER_TEXTURE));
				this.getParentModel().renderToBuffer(poseStack, vertexConsumer, light, LivingEntityRenderer.getOverlayCoords(entity, 0), 1, 1, 1, 1);
			}
		});
	}

	@Override
	public ResourceLocation getTextureLocation(Mack1Entity entity) {
		return new ResourceLocation("totally_normal_mod:textures/entities/mack.png");
	}
}
