
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.totallynormalmod.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.totallynormalmod.entity.NormalprojectileEntity;
import net.mcreator.totallynormalmod.entity.MackEntity;
import net.mcreator.totallynormalmod.entity.Mack1Entity;
import net.mcreator.totallynormalmod.TotallyNormalModMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class TotallyNormalModModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITY_TYPES, TotallyNormalModMod.MODID);
	public static final RegistryObject<EntityType<MackEntity>> MACK = register("mack",
			EntityType.Builder.<MackEntity>of(MackEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(MackEntity::new).fireImmune().sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<Mack1Entity>> MACK_1 = register("mack_1",
			EntityType.Builder.<Mack1Entity>of(Mack1Entity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(Mack1Entity::new).fireImmune().sized(1.4f, 0.9f));
	public static final RegistryObject<EntityType<NormalprojectileEntity>> NORMALPROJECTILE = register("normalprojectile", EntityType.Builder.<NormalprojectileEntity>of(NormalprojectileEntity::new, MobCategory.MISC)
			.setCustomClientFactory(NormalprojectileEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));

	// Start of user code block custom entities
	// End of user code block custom entities
	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			MackEntity.init();
			Mack1Entity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(MACK.get(), MackEntity.createAttributes().build());
		event.put(MACK_1.get(), Mack1Entity.createAttributes().build());
	}
}
